osd: Data Fields - Variables

| osd Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- b
- c
- d
- e
- f
- i
- l
- p
- s
- t

### - b -

- BaseAddress : XOsd_Config

### - c -

- ColorLutMemoryType : XOsd_Layer
- ColorLutSize : XOsd_Layer
- Config : XOsd

### - d -

- DeviceId : XOsd_Config

### - e -

- ErrCallBack : XOsd
- ErrRef : XOsd

### - f -

- FontAsciiOffset : XOsd_Layer
- FontBitsPerPixel : XOsd_Layer
- FontHeight : XOsd_Layer
- FontNumChars : XOsd_Layer
- FontWidth : XOsd_Layer
- FrameDoneCallBack : XOsd
- FrameDoneRef : XOsd

### - i -

- InstructionBoxEnable : XOsd_Layer
- InstructionInExternalMem : XOsd
- InstructionLineEnable : XOsd_Layer
- InstructionNum : XOsd_Layer
- InstructionTextEnable : XOsd_Layer
- IsReady : XOsd

### - l -

- Layer0ColorLutMemoryType : XOsd_Config
- Layer0ColorLutSize : XOsd_Config
- Layer0FontAsciiOffset : XOsd_Config
- Layer0FontBitsPerPixel : XOsd_Config
- Layer0FontHeight : XOsd_Config
- Layer0FontNumChars : XOsd_Config
- Layer0FontWidth : XOsd_Config
- Layer0InstructionBoxEnable : XOsd_Config
- Layer0InstructionLineEnable : XOsd_Config
- Layer0InstructionMemSize : XOsd_Config
- Layer0InstructionTextEnable : XOsd_Config
- Layer0TextMaxStringLength : XOsd_Config
- Layer0TextNumStrings : XOsd_Config
- Layer0Type : XOsd_Config
- Layer1ColorLutMemoryType : XOsd_Config
- Layer1ColorLutSize : XOsd_Config
- Layer1FontAsciiOffset : XOsd_Config
- Layer1FontBitsPerPixel : XOsd_Config
- Layer1FontHeight : XOsd_Config
- Layer1FontNumChars : XOsd_Config
- Layer1FontWidth : XOsd_Config
- Layer1InstructionBoxEnable : XOsd_Config
- Layer1InstructionLineEnable : XOsd_Config
- Layer1InstructionMemSize : XOsd_Config
- Layer1InstructionTextEnable : XOsd_Config
- Layer1TextMaxStringLength : XOsd_Config
- Layer1TextNumStrings : XOsd_Config
- Layer1Type : XOsd_Config
- Layer2ColorLutMemoryType : XOsd_Config
- Layer2ColorLutSize : XOsd_Config
- Layer2FontAsciiOffset : XOsd_Config
- Layer2FontBitsPerPixel : XOsd_Config
- Layer2FontHeight : XOsd_Config
- Layer2FontNumChars : XOsd_Config
- Layer2FontWidth : XOsd_Config
- Layer2InstructionBoxEnable : XOsd_Config
- Layer2InstructionLineEnable : XOsd_Config
- Layer2InstructionMemSize : XOsd_Config
- Layer2InstructionTextEnable : XOsd_Config
- Layer2TextMaxStringLength : XOsd_Config
- Layer2TextNumStrings : XOsd_Config
- Layer2Type : XOsd_Config
- Layer3ColorLutMemoryType : XOsd_Config
- Layer3ColorLutSize : XOsd_Config
- Layer3FontAsciiOffset : XOsd_Config
- Layer3FontBitsPerPixel : XOsd_Config
- Layer3FontHeight : XOsd_Config
- Layer3FontNumChars : XOsd_Config
- Layer3FontWidth : XOsd_Config
- Layer3InstructionBoxEnable : XOsd_Config
- Layer3InstructionLineEnable : XOsd_Config
- Layer3InstructionMemSize : XOsd_Config
- Layer3InstructionTextEnable : XOsd_Config
- Layer3TextMaxStringLength : XOsd_Config
- Layer3TextNumStrings : XOsd_Config
- Layer3Type : XOsd_Config
- Layer4ColorLutMemoryType : XOsd_Config
- Layer4ColorLutSize : XOsd_Config
- Layer4FontAsciiOffset : XOsd_Config
- Layer4FontBitsPerPixel : XOsd_Config
- Layer4FontHeight : XOsd_Config
- Layer4FontNumChars : XOsd_Config
- Layer4FontWidth : XOsd_Config
- Layer4InstructionBoxEnable : XOsd_Config
- Layer4InstructionLineEnable : XOsd_Config
- Layer4InstructionMemSize : XOsd_Config
- Layer4InstructionTextEnable : XOsd_Config
- Layer4TextMaxStringLength : XOsd_Config
- Layer4TextNumStrings : XOsd_Config
- Layer4Type : XOsd_Config
- Layer5ColorLutMemoryType : XOsd_Config
- Layer5ColorLutSize : XOsd_Config
- Layer5FontAsciiOffset : XOsd_Config
- Layer5FontBitsPerPixel : XOsd_Config
- Layer5FontHeight : XOsd_Config
- Layer5FontNumChars : XOsd_Config
- Layer5FontWidth : XOsd_Config
- Layer5InstructionBoxEnable : XOsd_Config
- Layer5InstructionLineEnable : XOsd_Config
- Layer5InstructionMemSize : XOsd_Config
- Layer5InstructionTextEnable : XOsd_Config
- Layer5TextMaxStringLength : XOsd_Config
- Layer5TextNumStrings : XOsd_Config
- Layer5Type : XOsd_Config
- Layer6ColorLutMemoryType : XOsd_Config
- Layer6ColorLutSize : XOsd_Config
- Layer6FontAsciiOffset : XOsd_Config
- Layer6FontBitsPerPixel : XOsd_Config
- Layer6FontHeight : XOsd_Config
- Layer6FontNumChars : XOsd_Config
- Layer6FontWidth : XOsd_Config
- Layer6InstructionBoxEnable : XOsd_Config
- Layer6InstructionLineEnable : XOsd_Config
- Layer6InstructionMemSize : XOsd_Config
- Layer6InstructionTextEnable : XOsd_Config
- Layer6TextMaxStringLength : XOsd_Config
- Layer6TextNumStrings : XOsd_Config
- Layer6Type : XOsd_Config
- Layer7ColorLutMemoryType : XOsd_Config
- Layer7ColorLutSize : XOsd_Config
- Layer7FontAsciiOffset : XOsd_Config
- Layer7FontBitsPerPixel : XOsd_Config
- Layer7FontHeight : XOsd_Config
- Layer7FontNumChars : XOsd_Config
- Layer7FontWidth : XOsd_Config
- Layer7InstructionBoxEnable : XOsd_Config
- Layer7InstructionLineEnable : XOsd_Config
- Layer7InstructionMemSize : XOsd_Config
- Layer7InstructionTextEnable : XOsd_Config
- Layer7TextMaxStringLength : XOsd_Config
- Layer7TextNumStrings : XOsd_Config
- Layer7Type : XOsd_Config
- LayerNum : XOsd_Config
- Layers : XOsd
- LayerType : XOsd_Layer

### - p -

- ProcStartCallBack : XOsd
- ProcStartRef : XOsd

### - s -

- ScreenHeight : XOsd
- ScreenWidth : XOsd
- SlaveAxisVideoDataWidth : XOsd_Config

### - t -

- TextMaxStringLength : XOsd_Layer
- TextNumStrings : XOsd_Layer